Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
CK_MECHANISM Struct Reference

`#include <pkcs11t.h>`

## Public Attributes
CK_MECHANISM_TYPE | mechanism
CK_VOID_PTR | pParameter
CK_ULONG | ulParameterLen

## Detailed Description

Definition at line 983 of file pkcs11t.h.

## Member Data Documentation

CK_MECHANISM_TYPE CK_MECHANISM::mechanism

Definition at line 984 of file pkcs11t.h.

CK_VOID_PTR CK_MECHANISM::pParameter

Definition at line 985 of file pkcs11t.h.

Referenced by Botan::PKCS11::MechanismWrapper::create_ecdh_mechanism(), Botan::PKCS11::MechanismWrapper::create_rsa_crypt_mechanism(), and Botan::PKCS11::MechanismWrapper::create_rsa_sign_mechanism().

CK_ULONG CK_MECHANISM::ulParameterLen

Definition at line 986 of file pkcs11t.h.

Referenced by Botan::PKCS11::MechanismWrapper::create_ecdh_mechanism(), Botan::PKCS11::MechanismWrapper::create_rsa_crypt_mechanism(), and Botan::PKCS11::MechanismWrapper::create_rsa_sign_mechanism().

The documentation for this struct was generated from the following file:

- src/lib/prov/pkcs11/pkcs11t.h